unit sCheckbox;
(************************************************************************
sStyle components package 
Copyright (c) 2002 Serge Goncharov. All rights reserved.
                            Ukraine, Odessa
                            http://www.geocities.com/sstylish2002/
                            Serge@HyBce.com
 Version:	1.2, 24-02-2002
*************************************************************************)

interface

uses
  Windows, Messages, Classes, Graphics, Controls, Forms, ExtCtrls, sStyleUtil, sCheckedControl;

type
  TsCheckBox = class(TsCheckedControl)
  public
//  procedure DrawCheckArea; override;
  published
  end;

implementation

uses sPanel;
{
procedure TsCheckBox.DrawCheckArea;
var
  CheckArea, R: TRect;
begin
  R := ClientRect;
  case Layout of
    calLeft: begin
      CheckArea := Rect(R.Left, R.Top + 1, R.Left + 14, R.Top + 15);
    end;
    calRight: begin
      CheckArea := Rect(R.Right - 14, R.Top + 1, R.Right, R.Top + 15);
    end;
  end;

  Canvas.pen.width := 1;
  Canvas.pen.Style := psSolid;
  Canvas.brush.color := sStyle.GetActiveColor;
  Canvas.FillRect(CheckArea);

  if Checked then begin
    if Enabled then begin
      Canvas.pen.color := CheckColor;
      Canvas.brush.color := CheckColor;
    end
    else begin
      Canvas.brush.color := clBtnShadow;
      Canvas.pen.color := clBtnShadow;
    end;                                                   
    // Checked
    Canvas.Polygon([Point(CheckArea.Left + 2, CheckArea.Top + 7),
                    Point(CheckArea.Left + 5, CheckArea.Top + 10),
                    Point(CheckArea.Left + 6, CheckArea.Top + 10),
                    Point(CheckArea.Left + 11, CheckArea.Top + 5),
                    Point(CheckArea.Left + 11, CheckArea.Top + 3),
                    Point(CheckArea.Left + 6, CheckArea.Top + 8),
                    Point(CheckArea.Left + 5, CheckArea.Top + 8),
                    Point(CheckArea.Left + 4, CheckArea.Top + 7)])
  end;

  if sStyle.Flat then begin
    Frame3D(Canvas, CheckArea, sStyle.Painting.ColorBorderTop, sStyle.Painting.ColorBorderBottom, 1);
  end
  else begin
    R := CheckArea;
    Frame3D(Canvas, R, clGray, clWhite, 1);
    Frame3D(Canvas, R, clBlack, cl3DLight, 1);
  end;
end;
}
end.

